Ubuntu

Gnome-PPP will not dock or minimize

Reported by Dean Loros on 2007-06-21
64
Affects Status Importance Assigned to Milestone
gkrellm-i8k (Ubuntu)
Undecided
Unassigned
Nominated for Feisty by JeffH
Declined for Gutsy by Luca Falavigna
gnome-ppp (Ubuntu)
Low
陈庆峰
Nominated for Feisty by JeffH
Declined for Gutsy by Luca Falavigna

Bug Description

Gnome-PPP will not longer dock in the notification area or minimize to a window list panel after updating GTK2. I noticed this after updates earlier this week (06/20/2007 date of report). I waiting until a further update was installed with the same results. Terminal output is:

dean@linux:~$ gnome-ppp
/home/dean/.gtkrc-2.0:3: Unable to find include file: ".gtkrc-2.0-scrollbar_cog"
/usr/share/themes/c2/gtk-2.0/gtkrc:54: Clearlooks configuration option "sunkenmenu" is not supported and will be ignored.
WVCONF: /home/dean/.wvdial.conf
GNOME PPP: Connecting...
GNOME PPP: STDERR: /home/dean/.wvdial.conf<Warn>: Ignoring malformed input line: ";Do NOT edit this file by hand!"
GNOME PPP: STDERR: WvDial<*1>: WvDial: Internet dialer version 1.56
GNOME PPP: STDERR: WvModem<*1>: Cannot get information for serial port.
GNOME PPP: STDERR: WvDial<*1>: Initializing modem.
GNOME PPP: STDERR: WvDial<*1>: Sending: ATZ
GNOME PPP: STDERR: WvDial Modem<*1>: ATZ
GNOME PPP: STDERR: WvDial Modem<*1>: OK
GNOME PPP: STDERR: WvDial<*1>: Sending: ATQ0V1E1M0L0S0=0S38=13&C1&D2+FCLASS=0
GNOME PPP: STDERR: WvDial Modem<*1>: ATQ0V1E1M0L0S0=0S38=13&C1&D2+FCLASS=0
GNOME PPP: STDERR: WvDial Modem<*1>: OK
GNOME PPP: STDERR: WvDial<*1>: Modem initialized.
GNOME PPP: STDERR: WvDial<*1>: Sending: ATM0L0DT201-8044
GNOME PPP: STDERR: WvDial<*1>: Waiting for carrier.
GNOME PPP: STDERR: WvDial Modem<*1>: ATM0L0DT201-8044
GNOME PPP: STDERR: WvDial Modem<*1>: CONNECT 42666 V42bis
GNOME PPP: STDERR: WvDial<*1>: Carrier detected. Starting PPP immediately.
GNOME PPP: STDERR: WvDial<Notice>: Starting pppd at Wed Jun 20 20:37:07 2007
GNOME PPP: STDERR: WvDial<Err>: Warning: Could not modify /etc/ppp/pap-secrets: Permission denied
GNOME PPP: STDERR: WvDial<Err>: --> PAP (Password Authentication Protocol) may be flaky.
GNOME PPP: STDERR: WvDial<Err>: Warning: Could not modify /etc/ppp/chap-secrets: Permission denied
GNOME PPP: STDERR: WvDial<Err>: --> CHAP (Challenge Handshake) may be flaky.
GNOME PPP: STDERR: WvDial<Notice>: Pid of pppd: 6970
GNOME PPP: STDERR: WvDial<*1>: Using interface ppp0
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: local IP address 4.242.239.193
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: remote IP address 209.247.21.197
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: primary DNS address 64.136.173.4
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed
GNOME PPP: STDERR: WvDial<*1>: secondary DNS address 64.136.164.76
GNOME PPP: STDERR: WvDial<*1>: pppd: H8����[06][08][18]�[06][08]

(gnome-ppp:6909): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed

Exactly the same with me:

/home/tim/.wvdial.conf<Warn>: Ignoring malformed input line: ";Do NOT edit this file by hand!"
WvDial<*1>: WvDial: Internet dialer version 1.56
WvModem<*1>: Cannot get information for serial port.
WvDial<*1>: Initializing modem.
WvDial<*1>: Sending: ATX3
WvDial Modem<*1>: ATX3
WvDial Modem<*1>: OK
WvDial<*1>: Modem initialized.
WvDial<*1>: Sending: ATM1L3DT*99#
WvDial<*1>: Waiting for carrier.
WvDial Modem<*1>: ATM1L3DT*99#
WvDial Modem<*1>: CONNECT 3600000
WvDial<*1>: Carrier detected. Starting PPP immediately.
WvDial<Notice>: Starting pppd at Fri Aug 10 16:19:56 2007
WvDial<Notice>: Pid of pppd: 20457
WvDial<*1>: Using interface ppp0
WvDial<*1>: local IP address 77.118.175.71
WvDial<*1>: remote IP address 10.64.64.64
WvDial<*1>: primary DNS address 213.94.78.16
WvDial<*1>: secondary DNS address 213.94.78.17

Simone Tolotti (simontol) wrote :

Same with me. No problem in Feisty.

nowshining (nowshining) wrote :

the problem is not GTK is is WVdial itself that's causing this, I didn't do a terminal dist upgrade nor did I do a download - burn to cd and format, however I did get the gutsy updates one by one so I now believe since ALL is updated i have gutsy- well a tip from me is if I went back to the old feisty version it worked fine, even when all updates are applied however as soon wvdial is updated to the Gutsy version this problem occurs where as it just hangs at authenticating - however i still can surf the net and so forth.. I also think before typing this I ruint myself of going back to an earlier version and the installer if downloaded on it's own will not budge it says installing but nothing at all goes and the reinstall or install button does nothing...

Simone Tolotti (simontol) wrote :

If it is not a GTK2 related bug, please remove "after GTK2 update" from the title.
Could someone do the upstream to Gnome bugzilla?

nowshining (nowshining) wrote :

okay here's mine - the primary and secondary dns are not there because I use diff. ones than the isps. also it will not use the one's I input in the gui so I had to edit some files to get it to work, however look at the first line - ??
......................

/home/nowshining/.wvdial.conf<Warn>: Ignoring malformed input line: ";Do NOT edit this file by hand!"
WvDial<*1>: WvDial: Internet dialer version 1.56
WvModem<*1>: Cannot get information for serial port.
WvDial<*1>: Initializing modem.
WvDial<*1>: Sending: ATZ
WvDial Modem<*1>: ATZ
WvDial Modem<*1>: OK
WvDial<*1>: Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
WvDial Modem<*1>: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
WvDial Modem<*1>: OK
WvDial<*1>: Modem initialized.
WvDial<*1>: Sending: ATM1L3DT444-0050
WvDial<*1>: Waiting for carrier.
WvDial Modem<*1>: ATM1L3DT444-0050
WvDial Modem<*1>: CONNECT 45333 V44
WvDial<*1>: Carrier detected. Waiting for prompt.
WvDial Modem<*1>: Level 3 Comm nas34.2ca1 UQKT2
WvDial Modem<*1>: Username:/login:/Login:
WvDial<*1>: Looks like a login prompt.
WvDial<*1>: Sending: <email address hidden>
WvDial Modem<*1>: <email address hidden>
WvDial Modem<*1>: Password:
WvDial<*1>: Looks like a password prompt.
WvDial<*1>: Sending: (password)
WvDial Modem<*1>: Entering PPP Session.
WvDial Modem<*1>: IP address is 4.246.214.86
WvDial Modem<*1>: MTU is 1524.
WvDial<*1>: Looks like a welcome message.
WvDial<Notice>: Starting pppd at Mon Sep 10 21:01:38 2007
WvDial<Notice>: Pid of pppd: 5065
WvDial<*1>: Using interface ppp0
WvDial<*1>: local IP address 4.246.214.86
WvDial<*1>: remote IP address 209.247.21.233

Dean Loros (autocrosser) wrote :

Edited the subject line. Have resorted to KPPP due to problem still with Gnome PPP--at least it will dock properly. Interesting that the update affects Gnome-PPP & not KPPP. Any ideas why?

nowshining (nowshining) wrote :

ahhh i myself have went back to the feisty version which works fine, however I did notice that It had to download some libs and remove one I believe...never heard of kppp, thanks i'll try that baby out.. :)

nowshining (nowshining) wrote :

oh now I remember it, anyway It's better now that I learned a bit of linux and the guis - so i'll totally switch meself.. :)

nowshining (nowshining) wrote :

okay kppp is doing sort of the same thing on me, well Actually it's like after the second and or thired dial in attempts, even tho it DOES dock and minimize it doesn't show up, only if I remove the notification area and re-add it does it show then tho does glipper disappear... however at least it doesn't hang..

So the problem lies with

Notification area + Wvdial

or

Wvdial broke something itself because again going BACK to the feisty version will prob. fix kppp doing what it is dong now, because at least that version worked find and it might also fix the kppp thing..

powerkill (powerkill) wrote :

I have the same problem once connected it's not going to tray, I also have a problem about permission on chap and ppp secret file.
Keep me update and tell me if you need more info
Best Regards,
Powerkill

/home/powerkill/.wvdial.conf<Warn>: Ignoring malformed input line: ";Do NOT edit this file by hand!"
WvDial<*1>: WvDial: Internet dialer version 1.56
WvDial<*1>: Initializing modem.
WvDial<*1>: Sending: ATZ
WvDial Modem<*1>: ATZ
WvDial Modem<*1>: OK
WvDial<*1>: Sending: ATZ
WvDial Modem<*1>: ATZ
WvDial Modem<*1>: OK
WvDial<*1>: Modem initialized.
WvDial<*1>: Sending: ATM0L0DT*99***4#
WvDial<*1>: Waiting for carrier.
WvDial Modem<*1>: ATM0L0DT*99***4#
WvDial Modem<*1>: CONNECT
WvDial<*1>: Carrier detected. Waiting for prompt.
WvDial<Notice>: Don't know what to do! Starting pppd and hoping for the best.
WvDial<Notice>: Starting pppd at Tue Oct 2 03:07:50 2007
WvDial<Err>: Warning: Could not modify /etc/ppp/pap-secrets: Permission denied
WvDial<Err>: --> PAP (Password Authentication Protocol) may be flaky.
WvDial<Err>: Warning: Could not modify /etc/ppp/chap-secrets: Permission denied
WvDial<Err>: --> CHAP (Challenge Handshake) may be flaky.
WvDial<Notice>: Pid of pppd: 8884
WvDial<*1>: Using interface ppp0
WvDial<*1>: local IP address 10.170.11.1XX
WvDial<*1>: remote IP address 10.64.64.XX
WvDial<*1>: primary DNS address 192.118.9.XXX
WvDial<*1>: secondary DNS address 192.118.11.XXX

nowshining (nowshining) wrote :

by the way kppp is working for me now , no x-server reboots, etc.. :) at least kppp is fixed - however I just ininstalled gnome-ppp and am now using exclusively kppp. :P

Fredrik Wendt (fredrik-wendt) wrote :

I can verify this too. I use this "on the field" and I've tried three different providers with two different cell phones (using gnome-ppp/wvdial and bluetooth). It all works, it's just that the graphical part of gnome-ppp hangs on "Dialing xxx".
3G/UMTS stuff are really hitting the streets (and consumers' homes) here in Sweden and that is why I took the time to put in my words here - I hope you find the time to fix this (or tell me where to look).

I can verify this bug too. Internet Connection is just fine, but then the application does not go to tray.. This is annoying because I never get to see the data transfer statistics...

I have the same opiniuon as Fredrik: also here in Austria, people are buying these 3G/UMTS modems like crazy and this should definitely work without a hitch...

wm_eddie (wm-eddie) wrote :

I can also confirm this bug, I get pretty much the same command line output as in the description.

I think those UTF-8 errors must be gnome-ppp assuming that wvdial is spitting out ASCII or UTF-8. I'll try modifying the source to disconnect the log and see what happens.

wm_eddie (wm-eddie) wrote :

Looks like it a fix wasn't as complicated as I thought. It turns out in line 114 of gnome-ppp-wvdial.c it checks for the string "--> Starting pppd". But in out cases wvdial instead responds with "Don't know what to do! Starting pppd and hoping for the best." So to fix it I changed the line to just check for "Starting pppd". Here's a diff of my change:

--- gnome-ppp-wvdial.c~ 2005-02-02 04:28:25.000000000 +0900
+++ gnome-ppp-wvdial.c 2007-10-17 01:13:41.000000000 +0900
@@ -111,7 +111,7 @@
                gtk_widget_show (gnome_ppp.connecting.window);
        }
        /* we're about to connect (pppd) */
- if (g_strrstr (line, "--> Starting pppd") != NULL) {
+ if (g_strrstr (line, "Starting pppd") != NULL) {
                gboolean minimize;

                minimize = gtk_toggle_button_get_active (GTK_TOGGLE_BUTTON (gnome_ppp.setup.minimize));

The developers might like something more specific though.

Hopes this helps.

wm_eddie

Jeongkyu Kim (jeongkyu-kim) wrote :

I experienced the sample problem and found that it is caused by difference in wvdial output format between 7.04 and 7.10.

On Ubuntu 7.04, wvdial generates console output starts with '-->' such as below example.

--> WvDial: Internet dialer version 1.56
--> Cannot open /dev/ttyACM0: No such file or directory
--> Cannot open /dev/ttyACM0: No such file or directory
--> Cannot open /dev/ttyACM0: No such file or directory

However, the output format seems to be changed in Ubuntu 7.10.

WvDial<*1>: WvDial: Internet dialer version 1.56
WvDial<Err>: Cannot open /dev/ttyACM0: No such file or directory
WvDial<Err>: Cannot open /dev/ttyACM0: No such file or directory
WvDial<Err>: Cannot open /dev/ttyACM0: No such file or directory

Unfortunately, gnome-ppp expects response string starts with '-->' and some functions seem to broken with new format.

nowshining (nowshining) wrote :

Eddie and kim, wow nice work figuring it out if it is what is causing it in the real world. :) I would of never figured that out myself.

Dean Loros (autocrosser) wrote :

wm_eddie...I went back thru your info & yes, that will work--I would suggest you take a look further at the file--there are several instances where gnome-ppp could be tripped up by wvdial's output.

I have included a patched file with all changes made.....can we get the maintainer to recheck & talk to upstream???

Kroko.Kroko (kroko-kroko) wrote :

Can u help me, how to compile and substitute wvdial?

I try:

$gcc gnome-ppp-wvdial.c -o wvdial

byt I become in ouput:

gnome-ppp-wvdial.c:25:23: error: gnome-ppp.h: No such file or directory
gnome-ppp-wvdial.c:28: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_wvdial_out’
gnome-ppp-wvdial.c:44: error: expected ‘=’, ‘,’, ‘;’, ‘asm’ or ‘__attribute__’ before ‘on_wvdial_err’

Have I done something wrong???

nowshining (nowshining) wrote :

gnome-ppp is just a graphical dialer for wvdial, u can go into /etc/wvdial.conf and type out the info. and then wvdial in the terminal and dial-up.. but what are u trying to accomplish??

Dean Loros (autocrosser) wrote :

What we are doing is recompiling Gnome-PPP with a diff in detection due to the different way wvdial now has output. Grab a .tar of Gnome-PPP & after expanding it, sub the patched gnome-ppp-wvdial.c with the one in the stock app & then compile. I compiled with ./configure --prefix=/usr, so it replaced the unpatched version--if you are not comfortable with this just ./configure & call it from your /usr/local.

Wolfgang Glas (wglas) wrote :

I too have this problem and double the request to schedule the published patch for the next gutsy update of gnome-ppp.
Settung status to confirmed,because many users have this problem and it has been very well tracked down to it's simple bare reason.

TIA, Wolfgang

Changed in gnome-ppp:
status: New → Confirmed

two comments, and a solution for many people:

1. For users of mobile UMTS cards like the Huawei 220 etc., I'd like to point to https://forge.vodafonebetavine.net/projects/vodafonemobilec/
There is a tool called Vodafone Mobile Connect Card driver for Linux. Info from the site:

Vodafone Mobile Connect Card driver for Linux is a GPRS/UMTS/HSDPA device manager written in Python, licensed under the GPL. Features: Data call handling Send/Receive SMS SIM phone book management Graphical user interface using GTK.

2. IMHO this whole issue should be addressed via network-manager in the future. NM 0.7 will be able to handle dial-up connections. I have another problem with dial-up connections. As it is right now, gnome does not now that I am online when I log in via UMTS card. Therefore Evolution and Epiphany put me into offline mode automatically even though I am online really. This is why these connections should be handled by network-manager IMHO.

nowshining (nowshining) wrote :

hi ChristianParatschek

for numero 2 Network manager doesn't have an autodetect on .7 does it, because MANy esp. newbies will not be able to dialup easily without an detect feature that gnome-ppp has and is what got me started online and kept using linux/ubuntu otherwise I would of quit without the DETECT feature in the setup part of course it should prob. be asked first in the near future when it is first started up and or installed. :) Also NM sucks gnome-ppp all the way..

Dean Loros (autocrosser) wrote :

Until Network-Manager works as well for "On & Off" connections as Gnome-PPP, I will still use the latter.

"NM 0.7 will be able to handle dial-up connections."

But will my wife be able to use it as well as she can use Gnome-PPP? The point of Ubuntu is "it just works"--well, Gnome-PPP just works--NM works, but not very well for Dial-up--If I had a Hi-Speed connection, I would use NM because that is where it shines.

Wolfgang Glas (wglas) wrote :

OK, it's nice that we use this trivial bug of gnome-ppp for discussions on how to handle dial-up connections in the future.

However, please keep your hats on. This is a trivial bug, which appears to the user a regression of gusty compared to feisty and we have a trivial fix for it. So, I'd suggest, that a release manager steps up and tells us, whether we will see this bug fixed in the near future or not. In the latter case he might give us some reason, why this bug will not be fixed.

TIA for further enhancing ubuntu,

   Wolfgang

SteveX (amnesiarez) wrote :

Hi all, I've got this problem on Gutsy too, and I'd like to know how to resolve it. Is there any solution? Thanks anyway!

nowshining (nowshining) wrote :

SteveX u could if u know how PATCH it via the Patched file above - but since ur asking i assume u don't know how which I Tried however it did NOT work out for me.

However U could do like me as kppp gave me trouble with docking to the tray that sometimes it wouldn't appear, etc.. I switched back and I as well as u can - download the Feisty version of wvdial and all its' needed libs, etc.. and uninstall the Gutsy version and RE-Install the Feisty versions...

Hi Steve--

I'm the one that posted the fix for Gnome PPP. You need to compile a .tar
version of gnome ppp (I'm at work--I'll send you a address to download if
you want it) & either install it to your /usr/local or like I did--just
replace the stock Gnome PPP with the compiled one--I'll guide you thru
either way if you want it.....if you replace it, the next update to gnome
ppp will replace it anyway.

Dean

On 11/7/07, SteveX <email address hidden> wrote:
>
> Hi all, I've got this problem on Gutsy too, and I'd like to know how to
> resolve it. Is there any solution? Thanks anyway!
>
> --
> Gnome-PPP will not dock or minimize
> https://bugs.launchpad.net/bugs/121487
> You received this bug notification because you are a direct subscriber
> of the bug.
>

I can also confirm this bug, I get pretty much the same command line output as in the description.

I can report this bug too, the modem is caling but after 5 seconds the dialing is over, but gnome ppp is still working.

António Lima (amrlima) wrote :

I confirm the bug here. Hope the fix is released on a update soon.

Bhawns (blacknhard12002) wrote :

Dean, this is Bhawns here, I would like that address to download the gnome ppp file or the how too to compile it please. I too am using Gutsy and have the same issues. It`s a beautiful OS and runs smoothly on my system.

Thanks

Email: <email address hidden>

nowshining (nowshining) wrote :

install libglade dev. files if u get an error such as gtk + XXXX then at the end it mentionsl libglad, untar the source - abeit twice for some reason, and then go into the folder src and replace the patched file above just move it and it should ask to rename/replace, etc.. replace and then do a ./configure
sudo make
sudo make install
sudo make clean

nowshining (nowshining) wrote :

oh sorry CD into the folder first ;) beofore u .configure and yes libglad dev is what u need and it's in synaptic..

nowshining (nowshining) wrote :

oh forgot again u do NOT have to CD into the (thru terminal) src folder just the gnome main folder..

Victor (victorlaskurain) wrote :

I have the same problem. For those who don't want to recompile gnome-ppp this will do the trick: rename wvdial to wvdial.bin and put the following script in place of wvdial:

#!/bin/bash
wvdial.bin 2>&1 | sed -u "s/[^:]*:/-->/" 1>&2

At least it works for me.

Victor (victorlaskurain) wrote :

Just after sending the comment I realized a lot of things are missing in that script. It does dock, but then disconnect doesn't work. I think this script fixes it:

#!/bin/bash
trap "killall -s2 wvdial.bin" 2
(wvdial.bin $@ 2>&1 | sed -u "s/[^:]*:/-->/" 1>&2)&
wait

nowshining (nowshining) wrote :

i made a I386 deb file 32-bit computer as that is what i have :) and learned what and how to do it..

one mistake is that i meant in the description not doc but dec

download it, remove old one, don't worry all info. will/should remain when u install this version..

install it, :) and it's found under in synaptic gnome-pppfixedforgutsy cause if u do NOT remove the gnome-ppp it will show that old one and this one..

report if u have problems.. :) enjoy..

Bhawns (blacknhard12002) wrote :

I am running the 64bit version of gutsy, will this file work with it or are there some other for the 64bit version?

nowshining <email address hidden> wrote: i made a I386 deb file 32-bit computer as that is what i have :) and
learned what and how to do it..

one mistake is that i meant in the description not doc but dec

download it, remove old one, don't worry all info. will/should remain
when u install this version..

install it, :) and it's found under in synaptic gnome-pppfixedforgutsy
cause if u do NOT remove the gnome-ppp it will show that old one and
this one..

report if u have problems.. :) enjoy..

** Attachment added: "patched version of gutsy for 32bit computers"
   http://launchpadlibrarian.net/10692409/gnome-pppfixedforgutsy_0.3.24-1_i386.deb

--
Gnome-PPP will not dock or minimize
https://bugs.launchpad.net/bugs/121487
You received this bug notification because you are a direct subscriber
of the bug.

---------------------------------
Be a better sports nut! Let your teams follow you with Yahoo Mobile. Try it now.

Dean Loros (autocrosser) wrote :

Hi Bhawns---I had sent you the 32bit build & I think that we found that it didn't work---you need to compile a 64bit for yourself--
The download address is: http://www.gnomefiles.org/app.php/GNOME_PPP

After you have d/l & expanded it, you will need to look for the file I posted above & replace it with the one in your d/l. Goto Synaptic & get everything in the build-essential--look in the forums to find the tutorial on building your own software--any other questions--E me.

nowshining (nowshining) wrote :

Bhawns ur computer is 64bit which i don't think so however u can try and see if it works - or follow the following instructions...

Note: u also need both checkinstall - for u to build a 64-bit version deb file so u can share urself to others & libglade development files (libgladedev or whatever found in synaptic), and lastly g++ which is found in synaptic and make sure u got all sources enabled in software sources.

download(right-click and save as):http://launchpadlibrarian.net/10051787/gnome-ppp-wvdial.c

download:http://archive.ubuntu.com/ubuntu/pool/universe/g/gnome-ppp/gnome-ppp_0.3.23.orig.tar.gz

unzip/untar and again as it's double tared up..

take the file gnome-ppp-wvdial.c and move it into the gnome-ppp untared folder and into the src folder.

open up a terminal and cd to the directory where u downloaded the gnome-ppp untared file and cd into the folder.

at the terminal type
./configure

if u get any errors report them here, u most likely need dev. files if not continue:

then type at the termina the next

make

okay at this next step we are going to install with checkinstall and follow the following website to finish up, then just attach it as a file when ur done. :)

http://www.debian-administration.org/articles/147

NOTE:for checkinstall -D make install and running as root just add sudo in front of it.

The finished deb file will be in the untared folder of gnome-ppp that I discussed above.

it's already installed just to finish up

sudo make clean

and now ur done, now u can find the gnome-ppp untared folder find the gnome-ppp deb file and move it or copy it somewhere, and then under comments attach it under include an attachment :) ...

I hope i explained this well..any questions just ask..

JGrau (jgrauca) wrote :

Same here after upgrade to Gutsy-amd64:

WvDial Modem<*1>: CONNECT 33600/V42BIS
WvDial<*1>: Carrier detected. Waiting for prompt.
WvDial Modem<*1>: TELUS VPOP
WvDial Modem<*1>: login:
WvDial<*1>: Looks like a login prompt.
WvDial<*1>: Sending: lunaazul
WvDial Modem<*1>: lunaazul
WvDial Modem<*1>: Password:
WvDial<*1>: Looks like a password prompt.
WvDial<*1>: Sending: (password)
WvDial Modem<*1>: PGRG09>
WvDial<*1>: Hmm... a prompt. Sending "ppp".
WvDial Modem<*1>: ppp
WvDial Modem<*1>: Entering PPP Session.
WvDial Modem<*1>: IP address is 207.194.36.88
WvDial Modem<*1>: MTU is 1524.
WvDial<*1>: Looks like a welcome message.
WvDial<Notice>: Starting pppd at Thu Dec 20 22:13:51 2007
WvDial<Err>: Warning: Could not modify /etc/ppp/pap-secrets: Permission denied
WvDial<Err>: --> PAP (Password Authentication Protocol) may be flaky.
WvDial<Err>: Warning: Could not modify /etc/ppp/chap-secrets: Permission denied
WvDial<Err>: --> CHAP (Challenge Handshake) may be flaky.
WvDial<Notice>: Pid of pppd: 6409
WvDial<*1>: Using interface ppp0
WvDial<*1>: pppd: [1b]+
WvDial<*1>: pppd: [1b]+
WvDial<*1>: pppd: [1b]+
WvDial<*1>: local IP address 207.194.36.88
WvDial<*1>: pppd: [1b]+
WvDial<*1>: remote IP address 207.194.37.251
WvDial<*1>: pppd: [1b]+
WvDial<*1>: primary DNS address 204.174.64.1
WvDial<*1>: pppd: [1b]+
WvDial<*1>: secondary DNS address 204.174.65.1
WvDial<*1>: pppd: [1b]+

Although I was connected to the Internet the ppp window still said "Connecting/Dialing"

JGrau (jgrauca) wrote :
JGrau (jgrauca) wrote :

I read "Dean Loros" , "nowshining" , "Bhawns" and I just don't have the knowledge to follow their suggestions.
Will there be an official Ubuntu-fix be available?

nowshining (nowshining) wrote :

JGrauCa come online on yim and i'll take u step by step thru how to create a deb file and or patch it and everything, if u do not think u have a yahoo instant messenger account, by default u do, everytime u createa new yahoo email account that is ur yahoo instant message screen name, i'll be waiting, i got ur contact from details...

u can find mine on the wiki page Nowshining

yahoo screenname: palmonezire31fanatic

Renato Silva (renatosilva) wrote :

I also want this bug to be fixed and released as soon as possible. Who is responsible to do it?

@Victor -- may I trust in your script?
@nowshining -- may I trust in your .deb? Is it perfectly removable?

Renato Silva (renatosilva) wrote :

I successfully applied Victor's suggestion and it works fine now. Instead of just renaming wvdial, I moved it to my home, where it will keep visible to me while this bug is not fixed officially. When it does, then I'll remember to remove that wvdial.bin on my home (if you leave on /usr/bin then you may not...).

Cal (ca-ms) wrote :

Thanks nowshining your .deb got me over this problem. It would be nice to see an official fix for this.

Cal wrote:
> Thanks nowshining your .deb got me over this problem. It would be nice
> to see an official fix for this.
>

So true. Its a bordering on ridiculous that there's been no official fix
checked in yet, especially since a fix has already provided. Do they
think that having a broken gnome-ppp dialer for so long without a fix is
going to endear Ubuntu to newcomers? Is this what Ubuntu users can
expect-if the bug isn't a security bug, the fix will not come until the
next Ubuntu release? Sorry for being so blunt, but this bug been unfixed
for way too long and is apparently just being ignored. If I were a
newcomer who had been enticed by the Ubuntu sales pitch to try it, but
didn't have the skills to patch and compile the fixed code myself, I'd
have already moved on to another OS choice. If Ubuntu really intends to
attract those non-geek Windows users over to Ubuntu, it needs to rethink
how it deals with these kinds of bugs in a timely manner.

Johan Ryberg (jryberg) wrote :

Where is the developer(s)?

I'm also affected by this annoying bug that seems easy to fix with minimal effort so pleeeese dear developer fix this issue for us who just want things to work out of the box like Ubuntu shall do for this common tasks.

// rancor

+1 for the official fix pleeeaaase. My mother lives overseas, has a 64 bits computer and now has to go through painful steps to connect to the internet since I upgraded to Gutsy for her during the holidays. I don't see myself explaining to her on the phone how to compile her own .deb or write a sed script...

I don't know if it's the same problem or not, but when I use gkrellm

sudo gkrell m

and go into the settings to change the temps at which the fans start up (using the Dell I8K plugin and press "apply" I get:

(gkrellm:8051): Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed

which doesn't make sense as gkrellm and that plugin used to work. Now it's a laptop, and I'm not sure why linux still has to use hacks to control temp, but at least it worked to control the fans: now the computer just overheats. : (

Anyways, hopefully this is in some way related so that you have another affected program: it appears a lot of systems are getting something similar, just google

Gtk-CRITICAL **: gtk_text_buffer_emit_insert: assertion `g_utf8_validate (text, len, NULL)' failed

and you'll see.

And while we're at it, anyone for making for linux some better fan/temp controls???

Either way, thanks for the hard work thus far devs. : )

k1gwb (gwbennett) wrote :

I think a lot of people would love to see this fixed. That 32 bit deb above worked great for me, thanks! I'vebeen using kppp with gnome since about july since gnome-ppp just hung when it was really connected. And as I thinnk we've all noticed kppp is flaky about docking correctly after a few uses per log in. Oh well!

I have this problem too, where are the developers??? can't someone say when we can expect an update?

Dan Kortschak (dan-kortschak) wrote :

A patch has already been submitted to this bug - and yet it has not been
committed to the distro. It's not even a matter of 'where are the
developers'. This is getting pretty frustrating - not all of us are in a
position to download all of the source dependencies and make the
(extremely minor) change that is necessary.

Raval Seojattan wrote:
> I have this problem too, where are the developers??? can't someone say
> when we can expect an update?
>
>

Jmac (jiri-macku-centrum) wrote :

Since the bug in the source code is just in string, there is simpler way how to fix it without building from source code - direct hack of bin file by using xxd utility. Follow instructions to do so:

1) xxd /usr/bin/gnome-ppp hexdump
2) modifications in hexdump file (valid for gutsy distro)

original file:
000cb20: 2e00 2d2d 3e20 5374 6172 7469 6e67 2070 ..--> Starting p
000cb30: 7070 6400 5374 6172 7469 6e67 2070 7070 ppd.Starting ppp

modified file:
2e00 5374 6172 7469 6e67 2070 7070 6400 ..Starting pppd.
0000 0000 5374 6172 7469 6e67 2070 7070 ....Starting ppp

3) xxd -r hexdump gnome-ppp-patch
4) sudo cp gnome-ppp-patch /usr/bin/gnome-ppp

Jmac

Wolfgang Glas (wglas) wrote :

To put it short, I've uploaded a patches package to out team's PPA located under:

deb http://ppa.launchpad.net/clazzes.org/ubuntu gutsy main

Feel free to use it.

Additionally, hardy-alpha4 fixes this issue, so we have hope for the future ;-)

Jiju Thomas Mathew (jijutm) wrote :

Cool..

Thanks to all of you, a simple change in the log of wvdial has screwed the great applet. phew I was pulling my hair for the last four to five hours.. and now on my gprs, dialled using the patched version of gnome-ppp.

daniel (dwillar) wrote :

I am running a fairly fresh install of 7.10 with repository DVD's current as of 21 Jan, 2008. The gnome-ppp window stays in the "connecting" window for the entire session. I can get to the internet and do all things in a normal manner. My log file looks similar to those posted here. I have noticed that my .wvdial.conf file is being corrupted.

;Minimize = on/off
;Dock = on/off
;Do NOT edit this file by hand!

I am able to toggle both Minimize and Dock on and off. Nothing I do seems to remove the semi colons from the front of the lines. It appears that we are never getting to the code in connected.c as the gnome-ppp window is never updated to reflect that it is connected. Somewhere between connecting and connected things are going south.

line 172 in gnome-ppp-main.c appears to copy .wvdial.conf into a variable

   gnome_ppp.conf = g_strdup (".wvdial.conf");

It would be interesting to see the contents of .wvdial.conf and gnome_ppp.conf after the call to g_strdup.

I am brand new to GTK+ and gdb but I want this thing to work right. I may need some experienced help with this so please stay tuned for the next few days while I attempt to track this sucker down and fix it.

Thanks,
Daniel

Wolfgang Glas (wglas) wrote :

Daniel, the problem reported in this bug report has been tracked down to a misinterpretation of the cmdline output of wvdial by gnome-ppp and various fixed packages are available. Please do not waste further time debugging this issue. The thing we are all waiting for is a patched package to appear in the gusty-updates repository, which however seems very unlikely at this point,

   Wolfgang

daniel (dwillar) wrote :

Wolfgang, where can I find some of these fixes? I am writing this using wvdial to connect and had some problems getting it to configure correctly. All tracked down to not being root when attempting to configure wvdial. I would really like to know if the gnome-ppp package was rewritten and what .c and or .h files were involved. My intent is to make the changes necessary and recompile the package. I really miss not being able to see my overall connect time down on the task bar(windows term).

Thanks,

Daniel

daniel (dwillar) wrote :

gnome-ppp.c: 811, 812, 813, 818, 820, 832, and 825 have typos in them that appear to be causing the corruption in the users .wvdial.conf file. Docking and minimize get clobbered no matter what the on/off setting is. DNS entries get corrupted then the manual mode is used. I originally configured my DNS entries manually as I had done under 6.06 LTS and it took about 60 seconds to get to my home page at my ISP. Setting the mode to auto DNS cut that to about 3 seconds.

I will make changes to correct the typos, recompile, test and report back sometime tomorrow.

Thanks,
Daniel

Wolfgang Glas (wglas) wrote :

The patches are included in the source package upload to our team's repository:

http://ppa.launchpad.net/clazzes.org/ubuntu

Add this repo to your sources.list (or create a file under /etc/apt/sources.list.d, which contains the appropriate deb repository line) and update your system. That's and that's std debian package handling ;-)

daniel (dwillar) wrote :

Wolfgang,

   Thanks for all your help. I downloaded the .deb and installed it. I am very happy to have my elapsed time back on display again! I did recompile the package with changes in gnome-ppp.c. I also replaced the semicolon with a pound sign/sharp symbol at line 827. This takes care of the corruption issue I had with .wvdial.conf. The # makes wvdial see the entire line as a comment and it gets ignored but it is still there to remind users not to change any of the data in the file.

   I would still like to play with the corrected source code as I see the connected window does not have a minimize button in the title bar. Having one would add a nice touch to the overall appeal of the application.

   Thanks again for your time and trouble!

Daniel

Scart14 (scart14) wrote :

Hey guys,
    I just have a problem to login to the internet from my ubuntu pc in my home it was worked good with Gnome PPP Program with my modem Huawei e220 perfect before restart my pc, and while I have restared pc and login again to the internet , The Gnome PPP Freeze at "Connecting" and have not log to internet!!! I don't know where is a problem ,Really!!! And that the log out!!!
Code:
--> Ignoring malformed input line: ";Do NOT edit this file by hand!"
--> WvDial: Internet dialer version 1.60
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATX3
ATX3
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
+CME ERROR: SIM PIN required
--> Bad init string.
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATX3
ATX3
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
+CME ERROR: SIM PIN required
--> Bad init string.
--> Cannot get information for serial port.
--> Initializing modem.
--> Sending: ATX3
ATX3
OK
--> Sending: ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
+CME ERROR: SIM PIN required
--> Bad init string.

any idea????

Daniel T Chen (crimsun) on 2008-11-27
Changed in gnome-ppp:
importance: Undecided → Low
jkohler2 (jkohler2) wrote :

I have ubuntu 9.10 phase 1 to which I have added Gnome-ppp (or the graphic version
of wvdial) on my Acer Aspire 5315-2153 laptop with a USR 56k usb modem driven by
dgcmodem_1.10_k2.6.28_13_generic_ubuntu_i386.deb

I must invoke Gnome-ppp as root , sudo gnome-ppp

It works, conneccting me at 40,000 bps or better. During the connection dialog, however,
I get the same message "Cannot get information from the serial port."

maybe because usb is not a "regular" serial port.

John

Marc Deslauriers (mdeslaur) wrote :

Feisty and Gutsy are no longer supported. This problem doesn't seem to still be an issue with current releases.

If someone is still having this issue with Karmic, please feel free to re-open this bug.

Changed in gkrellm-i8k (Ubuntu):
status: New → Incomplete
status: Incomplete → Fix Released
Changed in gnome-ppp (Ubuntu):
status: Confirmed → Fix Released
陈庆峰 (cqf39589) on 2009-10-15
Changed in gnome-ppp (Ubuntu):
assignee: nobody → 陈庆峰 (cqf39589)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers